Title:
  - '欢迎来到点券商店'
  

# The update time of inventory's title (in ticks), Default: -1
Title-Update: 200

# Defines the layout of this menu
# *(Each character represents a button)
Layout:
  - '#########'
  - 'I        '
  - '         '
  - '         '
  - '#########'

# (Optional)
Open-Requirement: 'player.hasPermission("trmenu.use") || "$openBy" == "CONSOLE"'

# (Optional)
Open-Deny-Actions:
  - 'tell: &7你没有权限.'

# (Optional)
Close-Requirement: null

# (Optional)
Close-Deny-Actions: []

# Defines the Consoles used to open this menu
Open-COMMANDS:
  - 'dqsd'
  - '点券商店'

# (Optional) These run when a player successfully opened the menu
Open-Actions:
  - 'sound: BLOCK_CHEST_OPEN-1-2'
# (Optional)
Close-Actions:
  - 'sound: BLOCK_CHEST_CLOSE-1-2'

# Menu Options (All are optional)
Options:
  # Automatically download PlaceholderAPI's expansions
  Depend-Expansions:
    - 'server'
    - 'player'
    - 'progress'
    - 'math'
  # (Default: true)
  Lock-Player-Inv: true
  # Use the arguments of an open Console as variables (Var: {N*}) (Default: false)
  Transfer-Args: false
  # Each time when an icon updates, plugin refreshes the player's inventory
  # [!] Do not recommend. You should only enabled this when you require fast animations in lower Minecraft version
  Update-Inventory: false
  # Force the arguments it needs (Default: 0)
  Force-Transfer-Args: 0
  # Bind this menu with items have specific lore
  Bind-Item-Lore:
    - 'OPEN_fbmap'

# Buttons of this menu
# You can re-define ones' slots
Buttons: 
  '#':
    # (Optional) The period for lore, materials and names to update (in ticks)
    update: 200
    # (Required) Default display part
    display:
      # Materials, or specify item
      mats: GRAY_STAINED_GLASS_PANE
      name:
        - '&3嗷嗷嗷'
      lore:
        - - '&7我是边界&f线'
        - - '&7我是&f边界 &7线'
    # Click Actions
    actions:
      # ClickType - [Actions]
      all: ['sound: BLOCK_NOTE_BLOCK_PLING-1-2']
  'I':
    display:
      mats: 'paper'
      name:
        - '&1&l点券商品'
      lore:
        - '&8▪ 点击以&41点券&1&8来购买此道具（Cold Hard Cash）'        
    actions:
      all: ['sound: BLOCK_NOTE_BLOCK_PLING-1-2']
      left:
      #%playerpoints_points%
        - 'Console: give %player_name% money_maker:cash 1<Require:%playerpoints_points% >= 1>'  
        - 'Console: points take %player_name% 1'
        